__gnu_cxx::new_allocator< typename > Class Template Reference
Allocators
Inheritance diagram for __gnu_cxx::new_allocator< typename >:
[legend]

## Public Types

typedef const _Tp * | const_pointer
typedef const _Tp & | const_reference
typedef ptrdiff_t | difference_type
typedef _Tp * | pointer
typedef std::true_type | propagate_on_container_move_assignment
typedef _Tp & | reference
typedef size_t | size_type
typedef _Tp | value_type

## Public Member Functions

| new_allocator (const new_allocator &) noexcept
template<typename _Tp1 >
| new_allocator (const new_allocator< _Tp1 > &) noexcept
pointer | address (reference __x) const noexcept
const_pointer | address (const_reference __x) const noexcept
pointer | allocate (size_type __n, const void *=0)
template<typename _Up , typename... _Args>
void | construct (_Up *__p, _Args &&...__args)
void | deallocate (pointer __p, size_type)
template<typename _Up >
void | destroy (_Up *__p)
size_type | max_size () const noexcept

## Detailed Description

### template<typename>
class __gnu_cxx::new_allocator< typename >

An allocator that uses global new, as per [20.4].

This is precisely the allocator defined in the C++ Standard.

- all allocation calls operator new
- all deallocation calls operator delete

Template Parameters

  _Tp | Type of allocated object.

Definition at line 104 of file ext/alloc_traits.h.

The documentation for this class was generated from the following files:

- ext/alloc_traits.h
- new_allocator.h